<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE glade-interface SYSTEM "glade-2.0.dtd">
<!--*- mode: xml -*-->
<glade-interface>
  <widget class="GtkWindow" id="history_manager_window">
    <property name="border_width">6</property>
    <property name="title" translatable="yes">Gajim History Logs Manager</property>
    <property name="default_width">650</property>
    <property name="default_height">500</property>
    <signal name="delete_event" handler="on_history_manager_window_delete_event"/>
    <child>
      <widget class="GtkVBox" id="vbox">
        <property name="visible">True</property>
        <property name="spacing">6</property>
        <child>
          <widget class="GtkHPaned" id="hpaned">
            <property name="visible">True</property>
            <property name="can_focus">True</property>
            <property name="position">200</property>
            <child>
              <widget class="GtkScrolledWindow" id="jids_scrolledwindow">
                <property name="visible">True</property>
                <property name="can_focus">True</property>
                <property name="hscrollbar_policy">GTK_POLICY_AUTOMATIC</property>
                <property name="vscrollbar_policy">GTK_POLICY_AUTOMATIC</property>
                <property name="shadow_type">GTK_SHADOW_IN</property>
                <child>
                  <widget class="GtkTreeView" id="jids_listview">
                    <property name="visible">True</property>
                    <property name="can_focus">True</property>
                    <property name="rules_hint">True</property>
                    <signal name="button_press_event" handler="on_listview_button_press_event"/>
                    <signal name="key_press_event" handler="on_jids_listview_key_press_event"/>
                  </widget>
                </child>
              </widget>
              <packing>
                <property name="resize">False</property>
                <property name="shrink">True</property>
              </packing>
            </child>
            <child>
              <widget class="GtkVBox" id="vbox1">
                <property name="visible">True</property>
                <child>
                  <widget class="GtkVBox" id="welcome_vbox">
                    <property name="visible">True</property>
                    <property name="events">GDK_POINTER_MOTION_MASK | GDK_POINTER_MOTION_HINT_MASK | GDK_BUTTON_PRESS_MASK | GDK_BUTTON_RELEASE_MASK</property>
                    <child>
                      <widget class="GtkLabel" id="welcome_label">
                        <property name="visible">True</property>
                        <property name="label" translatable="yes">&lt;big&gt;&lt;b&gt;Welcome to Gajim History Logs Manager&lt;/b&gt;&lt;/big&gt;</property>
                        <property name="use_markup">True</property>
                        <property name="justify">GTK_JUSTIFY_CENTER</property>
                        <property name="wrap">True</property>
                      </widget>
                    </child>
                    <child>
                      <widget class="GtkHBox" id="hbox3">
                        <property name="visible">True</property>
                        <property name="events">GDK_POINTER_MOTION_MASK | GDK_POINTER_MOTION_HINT_MASK | GDK_BUTTON_PRESS_MASK | GDK_BUTTON_RELEASE_MASK</property>
                        <child>
                          <widget class="GtkImage" id="image3">
                            <property name="visible">True</property>
                            <property name="events">GDK_POINTER_MOTION_MASK | GDK_POINTER_MOTION_HINT_MASK | GDK_BUTTON_PRESS_MASK | GDK_BUTTON_RELEASE_MASK</property>
                            <property name="xalign">1</property>
                            <property name="yalign">0</property>
                            <property name="stock">gtk-info</property>
                          </widget>
                        </child>
                        <child>
                          <widget class="GtkLabel" id="info_label">
                            <property name="visible">True</property>
                            <property name="events">GDK_POINTER_MOTION_MASK | GDK_POINTER_MOTION_HINT_MASK | GDK_BUTTON_PRESS_MASK | GDK_BUTTON_RELEASE_MASK</property>
                            <property name="label" translatable="yes">This log manager is not intended for log viewing. If you are looking for such functionality, use the history window instead.

Use this program to delete or export logs. You can select logs from the left and/or search database from below.</property>
                            <property name="use_markup">True</property>
                            <property name="wrap">True</property>
                          </widget>
                          <packing>
                            <property name="position">1</property>
                          </packing>
                        </child>
                      </widget>
                      <packing>
                        <property name="expand">False</property>
                        <property name="fill">False</property>
                        <property name="padding">20</property>
                        <property name="position">1</property>
                      </packing>
                    </child>
                    <child>
                      <widget class="GtkHBox" id="hbox2">
                        <property name="visible">True</property>
                        <property name="events">GDK_POINTER_MOTION_MASK | GDK_POINTER_MOTION_HINT_MASK | GDK_BUTTON_PRESS_MASK | GDK_BUTTON_RELEASE_MASK</property>
                        <child>
                          <widget class="GtkImage" id="warning_image">
                            <property name="visible">True</property>
                            <property name="events">GDK_POINTER_MOTION_MASK | GDK_POINTER_MOTION_HINT_MASK | GDK_BUTTON_PRESS_MASK | GDK_BUTTON_RELEASE_MASK</property>
                            <property name="xalign">1</property>
                            <property name="yalign">0</property>
                            <property name="stock">gtk-dialog-warning</property>
                          </widget>
                        </child>
                        <child>
                          <widget class="GtkLabel" id="warning_label">
                            <property name="visible">True</property>
                            <property name="events">GDK_POINTER_MOTION_MASK | GDK_POINTER_MOTION_HINT_MASK | GDK_BUTTON_PRESS_MASK | GDK_BUTTON_RELEASE_MASK</property>
                            <property name="label" translatable="yes">&lt;b&gt;WARNING:&lt;/b&gt;
If you plan to do massive deletions, please make sure Gajim is not running. Generally avoid deletions with contacts you currently chat with.</property>
                            <property name="use_markup">True</property>
                            <property name="wrap">True</property>
                          </widget>
                          <packing>
                            <property name="position">1</property>
                          </packing>
                        </child>
                      </widget>
                      <packing>
                        <property name="expand">False</property>
                        <property name="fill">False</property>
                        <property name="padding">20</property>
                        <property name="position">2</property>
                      </packing>
                    </child>
                  </widget>
                  <packing>
                    <property name="expand">False</property>
                  </packing>
                </child>
                <child>
                  <widget class="GtkScrolledWindow" id="logs_scrolledwindow">
                    <property name="can_focus">True</property>
                    <property name="no_show_all">True</property>
                    <property name="hscrollbar_policy">GTK_POLICY_AUTOMATIC</property>
                    <property name="vscrollbar_policy">GTK_POLICY_AUTOMATIC</property>
                    <property name="shadow_type">GTK_SHADOW_IN</property>
                    <child>
                      <widget class="GtkTreeView" id="logs_listview">
                        <property name="visible">True</property>
                        <property name="can_focus">True</property>
                        <property name="rules_hint">True</property>
                        <property name="enable_search">False</property>
                        <signal name="button_press_event" handler="on_listview_button_press_event"/>
                        <signal name="key_press_event" handler="on_logs_listview_key_press_event"/>
                      </widget>
                    </child>
                  </widget>
                  <packing>
                    <property name="position">1</property>
                  </packing>
                </child>
                <child>
                  <widget class="GtkScrolledWindow" id="search_results_scrolledwindow">
                    <property name="can_focus">True</property>
                    <property name="no_show_all">True</property>
                    <property name="hscrollbar_policy">GTK_POLICY_AUTOMATIC</property>
                    <property name="vscrollbar_policy">GTK_POLICY_AUTOMATIC</property>
                    <property name="shadow_type">GTK_SHADOW_IN</property>
                    <child>
                      <widget class="GtkTreeView" id="search_results_listview">
                        <property name="visible">True</property>
                        <property name="can_focus">True</property>
                        <property name="rules_hint">True</property>
                        <signal name="button_press_event" handler="on_listview_button_press_event"/>
                        <signal name="row_activated" handler="on_search_results_listview_row_activated"/>
                      </widget>
                    </child>
                  </widget>
                  <packing>
                    <property name="position">2</property>
                  </packing>
                </child>
              </widget>
              <packing>
                <property name="resize">True</property>
                <property name="shrink">True</property>
              </packing>
            </child>
          </widget>
        </child>
        <child>
          <widget class="GtkHBox" id="hbox">
            <property name="visible">True</property>
            <property name="spacing">6</property>
            <child>
              <widget class="GtkEntry" id="search_entry">
                <property name="visible">True</property>
                <property name="can_focus">True</property>
                <property name="activates_default">True</property>
              </widget>
            </child>
            <child>
              <widget class="GtkButton" id="search_db_button">
                <property name="visible">True</property>
                <property name="can_focus">True</property>
                <property name="can_default">True</property>
                <property name="has_default">True</property>
                <property name="response_id">0</property>
                <signal name="clicked" handler="on_search_db_button_clicked"/>
                <child>
                  <widget class="GtkAlignment" id="alignment1">
                    <property name="visible">True</property>
                    <property name="xscale">0</property>
                    <property name="yscale">0</property>
                    <child>
                      <widget class="GtkHBox" id="hbox1">
                        <property name="visible">True</property>
                        <property name="spacing">2</property>
                        <child>
                          <widget class="GtkImage" id="image1">
                            <property name="visible">True</property>
                            <property name="stock">gtk-find</property>
                          </widget>
                          <packing>
                            <property name="expand">False</property>
                            <property name="fill">False</property>
                          </packing>
                        </child>
                        <child>
                          <widget class="GtkLabel" id="label1">
                            <property name="visible">True</property>
                            <property name="label" translatable="yes">_Search Database</property>
                            <property name="use_underline">True</property>
                          </widget>
                          <packing>
                            <property name="expand">False</property>
                            <property name="fill">False</property>
                            <property name="position">1</property>
                          </packing>
                        </child>
                      </widget>
                    </child>
                  </widget>
                </child>
              </widget>
              <packing>
                <property name="expand">False</property>
                <property name="fill">False</property>
                <property name="position">1</property>
              </packing>
            </child>
          </widget>
          <packing>
            <property name="expand">False</property>
            <property name="position">1</property>
          </packing>
        </child>
      </widget>
    </child>
  </widget>
  <widget class="GtkMenu" id="context_menu">
    <child>
      <widget class="GtkMenuItem" id="export_menuitem">
        <property name="visible">True</property>
        <property name="label" translatable="yes">Export</property>
        <property name="use_underline">True</property>
        <signal name="activate" handler="on_export_menuitem_activate"/>
      </widget>
    </child>
    <child>
      <widget class="GtkImageMenuItem" id="delete_menuitem">
        <property name="visible">True</property>
        <property name="label" translatable="yes">Delete</property>
        <property name="use_underline">True</property>
        <child internal-child="image">
          <widget class="GtkImage" id="image2">
            <property name="visible">True</property>
            <property name="stock">gtk-remove</property>
            <property name="icon_size">1</property>
          </widget>
        </child>
      </widget>
    </child>
  </widget>
  <widget class="GtkFileChooserDialog" id="filechooserdialog">
    <property name="type_hint">GDK_WINDOW_TYPE_HINT_DIALOG</property>
    <property name="action">GTK_FILE_CHOOSER_ACTION_SAVE</property>
    <child internal-child="vbox">
      <widget class="GtkVBox" id="dialog-vbox1">
        <property name="visible">True</property>
        <property name="spacing">24</property>
        <child internal-child="action_area">
          <widget class="GtkHButtonBox" id="dialog-action_area1">
            <property name="visible">True</property>
            <property name="layout_style">GTK_BUTTONBOX_END</property>
            <child>
              <widget class="GtkButton" id="cancel_button">
                <property name="visible">True</property>
                <property name="can_focus">True</property>
                <property name="can_default">True</property>
                <property name="label">gtk-cancel</property>
                <property name="use_stock">True</property>
                <property name="response_id">-6</property>
              </widget>
            </child>
            <child>
              <widget class="GtkButton" id="save_button">
                <property name="visible">True</property>
                <property name="can_focus">True</property>
                <property name="can_default">True</property>
                <property name="has_default">True</property>
                <property name="label">gtk-save</property>
                <property name="use_stock">True</property>
                <property name="response_id">-5</property>
              </widget>
              <packing>
                <property name="position">1</property>
              </packing>
            </child>
          </widget>
          <packing>
            <property name="expand">False</property>
            <property name="pack_type">GTK_PACK_END</property>
          </packing>
        </child>
      </widget>
    </child>
  </widget>
</glade-interface>
